Subject: Re: [PATCH] git-repack-script: Add option to repack all objects

From: Junio C Hamano <[email-masked]>
Date: Sun, 28 Aug 2005 14:06:31 -0700

Frank Sorenson <[email-masked]> writes:

> This patch adds an option to git-repack-script to repack all objects,
> including both packed and unpacked.  This allows a full repack of
> a git archive (current cogito packs from 39MB to 4.5MB, and git packs
> from 4.4MB to 3.8MB).
>
> Signed-off-by: Frank Sorenson <[email-masked]>

While I agree that giving more flexibility to repack objects is
a good idea, I am not sure rolling all existing objects into one
pack and removing the existing one is a good way to go.

I'd do this slightly differently.  I do not think removing
existing pack belongs to this command.  We would probably want a
separate tool to find extra/redundant packs and remove them, or
more generally optimize packs by selectively exploding them and
repacking them ("pack optimizer").